NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::IsoparametricCurvesBuilder Class Reference

Represents a NXOpen::Features::IsoparametricCurves builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateIsoparametricCurvesBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::IsoparametricCurvesBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  DirectionTypes { DirectionTypesIsoU, DirectionTypesIsoV, DirectionTypesIsoUV }
 Curve direction options. More...
 
enum  PlacementTypes { PlacementTypesUniform, PlacementTypesThroughPoints, PlacementTypesBetweenPoints }
 Curve creation options. More...
 

Public Member Functions

bool Associative ()
 Returns the associative state. More...
 
NXOpen::Features::GeometricConstraintDataManagerConstraintManager ()
 Returns the constraint manager. More...
 
NXOpen::Features::IsoparametricCurvesBuilder::DirectionTypes Direction ()
 Returns the direction type
Created in NX8.0.0. More...
 
bool IsSpacingEnabled ()
 Returns the is spacing enabled
Created in NX8.0.0. More...
 
bool IsSwitchDirection ()
 Returns the is switch direction
Created in NX8.0.0. More...
 
bool IsUEnabled ()
 Returns the is u enabled
Created in NX8.0.0. More...
 
bool IsVEnabled ()
 Returns the is v enabled
Created in NX8.0.0. More...
 
int Number ()
 Returns the number of curves
Created in NX8.0.0. More...
 
NXOpen::Features::IsoparametricCurvesBuilder::PlacementTypes Placement ()
 Returns the placement type
Created in NX8.0.0. More...
 
NXOpen::SelectDisplayableObjectSelectObject ()
 Returns the select object for faces
Created in NX8.0.0. More...
 
void SetActivePoints (const std::vector< NXOpen::Point * > &points, NXOpen::Point *masterPoint)
 Sets key points that are selected or will be moved
Created in NX8.0.0. More...
 
void SetAssociative (bool associative)
 Sets the associative state. More...
 
void SetDirection (NXOpen::Features::IsoparametricCurvesBuilder::DirectionTypes direction)
 Sets the direction type
Created in NX8.0.0. More...
 
void SetNumber (int number)
 Sets the number of curves
Created in NX8.0.0. More...
 
void SetPlacement (NXOpen::Features::IsoparametricCurvesBuilder::PlacementTypes placement)
 Sets the placement type
Created in NX8.0.0. More...
 
void SetSpacing (double spacing)
 Sets the spacing to use when spacing is enabled
Created in NX8.0.0. More...
 
void SetSpacingEnabled (bool isSpacingEnabled)
 Sets the is spacing enabled
Created in NX8.0.0. More...
 
void SetSwitchDirection (bool isSwitchDirection)
 Sets the is switch direction
Created in NX8.0.0. More...
 
void SetUEnabled (bool isUEnabled)
 Sets the is u enabled
Created in NX8.0.0. More...
 
void SetVEnabled (bool isVEnabled)
 Sets the is v enabled
Created in NX8.0.0. More...
 
double Spacing ()
 Returns the spacing to use when spacing is enabled
Created in NX8.0.0. More...
 
void UpdateIsoparametricCurves ()
 Sets key points that are selected or will be moved
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::IsoparametricCurves builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateIsoparametricCurvesBuilder
Default values.

Property Value

Associative

1

IsSpacingEnabled

0

IsSwitchDirection

0

IsUEnabled

1

IsVEnabled

0

Number

5

Placement

Uniform

Spacing

25


Created in NX8.0.0.

Member Enumeration Documentation

Curve direction options.

Enumerator
DirectionTypesIsoU 

Iso U direction.

DirectionTypesIsoV 

Iso V direction.

DirectionTypesIsoUV 

Iso U and Iso V direction.

Curve creation options.

Enumerator
PlacementTypesUniform 

Insert curves uniformly.

PlacementTypesThroughPoints 

Insert curves through points.

PlacementTypesBetweenPoints 

Insert curves between points.

Member Function Documentation

bool NXOpen::Features::IsoparametricCurvesBuilder::Associative ( )

Returns the associative state.

Disables feature creation when false
Created in NX8.0.0.

License requirements : None

NXOpen::Features::GeometricConstraintDataManager* NXOpen::Features::IsoparametricCurvesBuilder::ConstraintManager ( )

Returns the constraint manager.

Allows definition of key points to be used to control curve creation.
Created in NX8.0.0.

License requirements : None

NXOpen::Features::IsoparametricCurvesBuilder::DirectionTypes NXOpen::Features::IsoparametricCurvesBuilder::Direction ( )

Returns the direction type
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::IsoparametricCurvesBuilder::IsSpacingEnabled ( )

Returns the is spacing enabled
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::IsoparametricCurvesBuilder::IsSwitchDirection ( )

Returns the is switch direction
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::IsoparametricCurvesBuilder::IsUEnabled ( )

Returns the is u enabled
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::IsoparametricCurvesBuilder::IsVEnabled ( )

Returns the is v enabled
Created in NX8.0.0.



License requirements : None

int NXOpen::Features::IsoparametricCurvesBuilder::Number ( )

Returns the number of curves
Created in NX8.0.0.



License requirements : None

NXOpen::Features::IsoparametricCurvesBuilder::PlacementTypes NXOpen::Features::IsoparametricCurvesBuilder::Placement ( )

Returns the placement type
Created in NX8.0.0.



License requirements : None

NXOpen::SelectDisplayableObject* NXOpen::Features::IsoparametricCurvesBuilder::SelectObject ( )

Returns the select object for faces
Created in NX8.0.0.



License requirements : None

void NXOpen::Features::IsoparametricCurvesBuilder::SetActivePoints ( const std::vector< NXOpen::Point * > &  points,
NXOpen::Point masterPoint 
)

Sets key points that are selected or will be moved
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
pointsKey points
masterPointPoint which user actually moves to move a group of selected points
void NXOpen::Features::IsoparametricCurvesBuilder::SetAssociative ( bool  associative)

Sets the associative state.

Disables feature creation when false
Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
associativeassociative
void NXOpen::Features::IsoparametricCurvesBuilder::SetDirection ( NXOpen::Features::IsoparametricCurvesBuilder::DirectionTypes  direction)

Sets the direction type
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
directiondirection
void NXOpen::Features::IsoparametricCurvesBuilder::SetNumber ( int  number)

Sets the number of curves
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
numbernumber
void NXOpen::Features::IsoparametricCurvesBuilder::SetPlacement ( NXOpen::Features::IsoparametricCurvesBuilder::PlacementTypes  placement)

Sets the placement type
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
placementplacement
void NXOpen::Features::IsoparametricCurvesBuilder::SetSpacing ( double  spacing)

Sets the spacing to use when spacing is enabled
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
spacingspacing
void NXOpen::Features::IsoparametricCurvesBuilder::SetSpacingEnabled ( bool  isSpacingEnabled)

Sets the is spacing enabled
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isSpacingEnabledisspacingenabled
void NXOpen::Features::IsoparametricCurvesBuilder::SetSwitchDirection ( bool  isSwitchDirection)

Sets the is switch direction
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isSwitchDirectionisswitchdirection
void NXOpen::Features::IsoparametricCurvesBuilder::SetUEnabled ( bool  isUEnabled)

Sets the is u enabled
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isUEnabledisuenabled
void NXOpen::Features::IsoparametricCurvesBuilder::SetVEnabled ( bool  isVEnabled)

Sets the is v enabled
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isVEnabledisvenabled
double NXOpen::Features::IsoparametricCurvesBuilder::Spacing ( )

Returns the spacing to use when spacing is enabled
Created in NX8.0.0.



License requirements : None

void NXOpen::Features::IsoparametricCurvesBuilder::UpdateIsoparametricCurves ( )

Sets key points that are selected or will be moved
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.